## ns-2: uszkodzone polaczenia...
#

# + UDP nie sprawdza czy komunikaty docieraja!
# + co jesli uszkodzone polaczenie wychodzi bezposrednio 
#     z wierz cbr???

# + ile komunikatow wysylanych przez CBR dociera???
#     grep -e "r .* 4 cbr 555" <ns01e.tr | wc -l
#   bez bledu: 13
#   z bledami: 8
#   z bledami i z DV: 12

# ---
set ns [new Simulator]

$ns namtrace-all [open ns01e.nam w]
$ns trace-all [open ns01e.tr w]

set n1 [$ns node]
set n2 [$ns node]
set n2a [$ns node]
set n2b [$ns node]
set n3 [$ns node]

$ns duplex-link $n1 $n2 10Mb 50ms DropTail
$ns duplex-link $n1 $n2a 10Mb 50ms DropTail
$ns duplex-link $n2a $n2b 10Mb 50ms DropTail
$ns duplex-link $n2 $n3 10Mb 50ms DropTail
$ns duplex-link $n2b $n3 10Mb 50ms DropTail

set udp [new Agent/UDP]
$udp set fid_ 2
$udp set packetSize_ 5000
set null [new Agent/Null]
$ns attach-agent $n1 $udp
$ns attach-agent $n3 $null
$ns connect $udp $null

set cbr [new Application/Traffic/CBR]
$cbr attach-agent $udp
$cbr set packetSize_ 25555
$cbr set rate_ 1000Kb

$ns rtproto DV
$ns rtmodel-at 0.5 down $n1 $n2
$ns rtmodel-at 1.0 up $n1 $n2
$ns rtmodel-at 1.5 down $n2 $n3
$ns rtmodel-at 2.0 up $n2 $n3

$ns at 0.2 "$cbr start"
$ns at 2.8 "$cbr stop"
$ns at 3.0 "$ns halt"

$ns run
$ns flush-trace
puts "...koniec"
#exec ./nam ns01e.nam &

