## ns-2: CBR = Constant Bit Rate
#

# ---
set ns [new Simulator]

$ns namtrace-all [open ns01c.nam w]
$ns trace-all [open ns01c.tr w]

set n1 [$ns node]
set n2 [$ns node]
set n2a [$ns node]
set n3 [$ns node]

$ns duplex-link $n1 $n2 100Mb 50ms DropTail
$ns duplex-link $n1 $n2a 100Mb 50ms DropTail
$ns duplex-link $n2 $n3 100Mb 50ms DropTail
$ns duplex-link $n2a $n3 100Mb 50ms DropTail

set udp [new Agent/UDP]
$udp set fid_ 2
$udp set packetSize_ 5000
set null [new Agent/Null]
$ns attach-agent $n1 $udp
$ns attach-agent $n3 $null
$ns connect $udp $null

set cbr [new Application/Traffic/CBR]
$cbr attach-agent $udp
$cbr set packetSize_ 25555
$cbr set rate_ 1Mb

$ns at 0.2 "$cbr start"
$ns at 2.8 "$cbr stop"
$ns at 3.0 "$ns halt"

$ns run
$ns flush-trace
puts "...koniec"


