catch {set b [string match 192.168.* [exec hostaddr]]; wm withdraw .; wm withdraw .output; if {$b} {wm geom .konsola 771x513+243+0; kons_font 15} {wm geom .konsola 809x709+764+104; kons_font 13}}

## ns-2 interaktwynie ?, 09.2016
# + interaktywnosc nie do uruchamiania symulacji,
#   tylko aby lepiej zrozumie obiekty...
# + monitor obserwujacy kolejke komunikatow
#   i chyba okno TCP (congestion window)
# + nowe eksperymenty na podstawie nowej ksiazki, 12.2018
#   classifier...
#   ???
#
proc show_vars o {
  set _ ""
  foreach x [$o info vars] {append _ "$x = [$o set $x]\n"}
    # + nie jest odporne na pola typu array...
  return $_
}
proc err args {catch $args e; set e}
#proc bgerror args {_puts "ERROR: $args\n$::errorInfo"}
proc bgerror args {_puts "ERROR: $args"}
#source ns2_poprawki.tcl
#info pa
  #% 8.5.10
proc j args {join [lsort [eval $args]] \n}

ns-version
  #% 2.35

#join [lsort [info comm Agent/TCP/*]] \n

set ns [new Simulator]
set n1 [$ns node]
set n2 [$ns node]
set n3 [$ns node]
$ns duplex-link $n1 $n2 100Mb 50ms DropTail
$ns duplex-link $n2 $n3 100Mb 50ms DropTail

set tcp [new Agent/TCP]
set sink [new Agent/TCPSink]
$ns attach-agent $n1 $tcp
$ns attach-agent $n3 $sink
$ns connect $tcp $sink

# !!!!! do tego miejsca wykonac !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!

# nowa ksiazka o ns2_Introduction-to-...pdf, 12.2018
#

$n1 info vars
  #% rtsize_ agents_ ptnotif_ dmux_ rtnotif_ mod_assoc_ nodetype_ ns_ reg_module_ classifier_ id_ neighbor_ address_ multiPath_

# classifier ???, 29.12.2018, str pdf 139
# + dodalem 3 wezel n3, pol tcp jest miedzy n1 a n3
# + wyw. met. compute-routes powoduje ze pojawiaja sie nowe sloty,
#   dotyczace routingu...
#

$ns compute-routes
  #% _o40

set cl1 [$n1 set classifier_]
  #% _o12
$cl1 info class
  #% Classifier/Hash/Dest
$cl1 slot 0
  #% _o45
[$cl1 slot 0] info class
  #% Classifier/Port
$cl1 slot 1
  #% _o22
[$cl1 slot 1] info class
  #% Connector
  # + ten slot pojawia sie po wyw. compute-routes !!
err $cl1 slot 2
  #% error when calling class Classifier/Hash/Dest: slot 2

$n1 set dmux_
  #% _o45
  # + czyli dmux_ to wlasnie slot nr 0...
set dm1 [$n1 set dmux_]
  #% _o45
$dm1 info class
  #% Classifier/Port
err $dm1 slot 0
  #% _o43
[$dm1 slot 0] info class
  #% Agent/TCP
err $dm1 slot 1
  #% error when calling class Classifier/Port: slot 1

[$cl1 slot 1] set link_
  #% _o20
_o20 info class
  #% SimpleLink

set cl2 [$n2 set classifier_]
  #% _o15
$cl2 slot 0
  #% _o28
_o28 info class
  #% Connector
$cl2 slot 1
  #% _o34
_o34 info class
  #% Connector
err $cl2 slot 2
  #% error when calling class Classifier/Hash/Dest: slot 2
  # + po wyw. cmpute-routes mamy tu 2 sloty !!
[$cl2 slot 0] set link_
  #% _o26
[$cl2 slot 1] set link_
  #% _o32
_o32 info class
  #% SimpleLink
  # + na jakiej zasadzie classifier_ przekazuje pakiety???
  #   ?!?!?!!?!?!?

set cl3 [$n3 set classifier_]
  #% _o18
$cl3 slot 0
  #% _o46
[$cl3 slot 0] info class
  #% Classifier/Port
$cl3 slot 1
  #% _o40
[$cl3 slot 1] info class
  #% Connector
err $cl3 slot 2
  #% error when calling class Classifier/Hash/Dest: slot 2



# ...

# monitor-queue ???
# + czy nie trzeba wczesniej utworzyc agenta TCP ?!?!?!?
#

set f1 [open qqq.txt w]
  #% file4
set mq1 [$ns monitor-queue $n1 $n2 $f1]
  #% _o33
#$ns monitor-queue $n1 $n2 $f1 0.2
  # + met. monitor-queue wymaga 3 lub 4 args...
  #   tak jak opisano w "for beginners" (inaczej niz w "ns.1")
$mq1 info class
  #% QueueMonitor
show_vars $mq1
  #% SeqnoBinSize_ = 10
keepSeqnoStats_ = 0
pkts_ = 0
k_ = 0.10000000000000001
qs_drops_ = 0
qs_pkts_ = 0
binsPerSec_ = 100
first_pkt_ = 0
pdepartures_ = 0
maxRTT_ = 5
pdrops_ = 0
bdepartures_ = 0
last_pkt_ = 0
bdrops_ = 0
qs_bytes_ = 0
size_ = 0
prevTime_ = 0
maxSeqno_ = 1000
parrivals_ = 0
startTime_ = 0
keepRTTstats_ = 0
barrivals_ = 0
pmarks_ = 0
estimate_rate_ = 0
estRate_ = 0


$ns link $n1 $n2
  #% _o18
_o18 info class
  #% SimpleLink
show_vars _o18
  #% qMonitor_ = _o33
toNode_ = _o14
fromNode_ = _o11
snoopDrop_ = _o36
ttl_ = _o22
snoopIn_ = _o34
oldColor_ = black
snoopOut_ = _o35
color_ = black
ns_ = _o4
head_ = _o20
id_ = 0
queue_ = _o17
link_ = _o21
sampleInterval_ = 0.1
trace_ = 
drophead_ = _o19
qtrace_ = file4
  # + widac ze polaczenie $n1->$n2 ma "queue monitor"...

_o18 queue
  #% _o17
  # + met. queue zwraca $queue_

_o17 info class
  #% Queue/DropTail
show_vars _o17
  #% queue_in_bytes_ = 0
summarystats_ = 0
drop_front_ = 0
util_weight_ = 0.80000000000000004
mean_pktsize_ = 500
unblock_on_resume_ = 1
util_records_ = 5
util_check_intv_ = 0.20000000000000001
limit_ = 50
blocked_ = 0


$ns link $n2 $n1
  #% _o24
show_vars _o24
  #% toNode_ = _o11
fromNode_ = _o14
ttl_ = _o28
oldColor_ = black
color_ = black
head_ = _o26
id_ = 1
queue_ = _o23
link_ = _o27
trace_ = 
drophead_ = _o25


$n1 info class
  #% Node
$n1 info vars
  #% rtsize_ agents_ ptnotif_ dmux_ rtnotif_ mod_assoc_ nodetype_ ns_ reg_module_ classifier_ id_ neighbor_ address_ multiPath_
$n1 set agents_
  #% _o29
_o29 info class
  #% Agent/TCP

# ...

# dalsze interakt. eksperymenty, 21.03.2017
#

set l1 [$ns link $n1 $n2]
  #% _o18
$l1 info class
  #% SimpleLink
$l1 info vars
  #% toNode_ fromNode_ ttl_ oldColor_ color_ head_ id_ queue_ link_ trace_ drophead_

$l1 set fromNode_
  #% _o11
$l1 set toNode_
  #% _o14
[$l1 set toNode_] info class
  #% Node

[$l1 set ttl_] info class
  #% TTLChecker

$l1 set trace_
  #% 

$l1 set color_
  #% black
$l1 set id_
  #% 0
$l1 id
  #% 0

$l1 set head_
  #% _o20
$l1 head
  #% _o20
[$l1 head] info class
  #% Connector
[$l1 head] info vars
  #% link_
[$l1 head] set link_
  #% _o18
set l1
  #% _o18
  # + to to samo!!

$l1 set link_
  #% _o21
$l1 link
  #% _o21
[$l1 link] info class
  #% DelayLink
[$l1 link] info vars
  #% bandwidth_ delay_ avoidReordering_
[$l1 link] set bandwidth_
  #% 100000000
[$l1 link] set delay_
  #% 0.050000000000000003
[$l1 link] set avoidReordering_
  #% 0


$l1 set queue_
  #% _o17
$l1 queue
  #% _o17
set q1 [$l1 queue]
  #% _o17
$q1 info class
  #% Queue/DropTail
$q1 info vars
  #% queue_in_bytes_ summarystats_ drop_front_ util_weight_ mean_pktsize_ unblock_on_resume_ util_records_ util_check_intv_ limit_ blocked_

$q1 set util_weight_
  #% 0.80000000000000004
$q1 set queue_in_bytes_
  #% 0

lsort [info comm Queue/*]
  #% Queue/CBQ Queue/CBQ/WRR Queue/DRR Queue/Demarker Queue/DropTail Queue/DropTail/PriQueue Queue/DropTail/XCPQ Queue/FQ Queue/GK Queue/JoBS Queue/Marker Queue/PI Queue/RED Queue/RED/PD Queue/RED/Pushback Queue/RED/RIO Queue/RED/RIO/Semantic Queue/RED/Semantic Queue/REM Queue/SFQ Queue/SRR Queue/SimpleIntServ Queue/Vq Queue/XCP Queue/dsRED Queue/dsRED/core Queue/dsRED/edge

Queue info vars
  #% util_weight_ acksfirst_ unblock_on_resume_ util_records_ util_check_intv_ debug_ interleave_ limit_ ackfromfront_ blocked_

Queue set util_weight_
  #% 0.8

# ...

# CBQ, 21.03.2017
# + to jest "ksztaltowanie ruchu sieciowego"
# + prace Sally Floyd 1995 ?
# + sa podobno lepsze metody...
# + mozna to robic pod linux-em w realu, 
#   ale w puppy 5.0.0 polecenie tc/ mechanizmy kernela nie dzialaja
#   to jest czesc "iproute2"...
# + pytania:
#   w realu: jak sie rozpoznaje strumienie pakietow roznych klas?
#   jak dziala iproute2/tc ?
# + co jeszcze?
#   wyprobowac jak to dziala!
#   zaprojektowac eksperyment!!
#
#info comm *CBQ*
  #% CBQClass Queue/CBQ/WRR Queue/CBQ CBQLink
#CBQClass info instprocs
  #% setparams init install-queue automaxidle
#CBQLink info instprocs
  #% init insert bind classifier

$ns duplex-link $n2 $n3 100Mb 50ms CBQ
set l1 [$ns link $n2 $n3]
$l1 info class
  #% CBQLink
  # + to nie jest SimpleLink !
set q1 [$l1 queue]
$q1 info class
  #% Queue/CBQ
$q1 set limit_
  #% 50

# budujemy drzewo klas...
set top [new CBQClass]
$top setparams none 0 0.95 auto 8 2 0
set c1 [new CBQClass]
$c1 setparams $top 1 0.45 auto 1 1 0
set c2 [new CBQClass]
$c2 setparams $top 1 0.50 auto 2 1 0
  # + co znaczaja te params???
  #   0.95 = 0.45 + 0.50

# instalujemy kolejki klas...
set qq1 [new Queue/DropTail]
$c1 install-queue  $qq1
set qq2 [new Queue/DropTail]
$c2 install-queue  $qq2

# okreslamy jakie fid naleza do klas...
$l1 insert $top
$l1 insert $c1
$l1 insert $c2
  # + z przykladu test-suite-cbq.tcl wynika, ze
  #   trzeba insertowac wsz. cbq-klasy do $l1
  #   (nie wystarczy dodac top ???)
$l1 bind $c1 10 15
$l1 bind $c2 16 20
  # + 16 20 to zakres fid wpadajacy do $c2


$l1 info vars
  #% toNode_ fromNode_ ttl_ oldColor_ color_ head_ id_ queue_ classifier_ link_ trace_ drophead_
  # + SimpleLink nie ma classfiera!

[$l1 set classifier_] info class
  #% Classifier/Hash/Fid
set cla1 [$l1 set classifier_]
  #% _o37

$cla1 info vars
  #% slots_ default_ shift_ offset_ mask_
$cla1 array get slots_
  #% 8 _o52 4 _o51 0 _o51 10 _o52 9 _o52 5 _o51 1 _o51 6 _o52 2 _o51 7 _o52 3 _o51
_o52 info class
  #% CBQClass
llength [$cla1 array names slots_] 
  #% 11
  # + jest ich tyle ile jest fid-ow przy bind...

# ...

# Queue/*, Agent/*, 12.2017
#

j info comm Queue/*
  #% Queue/CBQ
Queue/CBQ/WRR
Queue/DRR
Queue/Demarker
Queue/DropTail
Queue/DropTail/PriQueue
Queue/DropTail/XCPQ
Queue/FQ
Queue/GK
Queue/JoBS
Queue/Marker
Queue/PI
Queue/RED
Queue/RED/PD
Queue/RED/Pushback
Queue/RED/RIO
Queue/RED/RIO/Semantic
Queue/RED/Semantic
Queue/REM
Queue/SFQ
Queue/SRR
Queue/SimpleIntServ
Queue/Vq
Queue/XCP
Queue/dsRED
Queue/dsRED/core
Queue/dsRED/edge

j info comm Agent/*
  #% Agent/AODV
Agent/AOMDV
Agent/AbsTCP
Agent/AbsTCP/RenoAck
Agent/AbsTCP/RenoDelAck
Agent/AbsTCP/TahoeAck
Agent/AbsTCP/TahoeDelAck
Agent/AbsTCPSink
Agent/AbsTCPSink/DelAck
Agent/AckReconsClass
Agent/BayTcpApp
Agent/BayTcpApp/FtpClient
Agent/BayTcpApp/FtpServer
Agent/CBR
Agent/CBR/RTP
Agent/CBR/UDP
Agent/CBR/UDP/SA
Agent/ConsRcvr
Agent/CtrMcast
Agent/CtrMcast/Decap
Agent/CtrMcast/Encap
Agent/DCCP
Agent/DCCP/TCPlike
Agent/DCCP/TFRC
Agent/DSDV
Agent/DSRAgent
Agent/DSRProto
Agent/Decapsulator
Agent/Diff_Sink
Agent/Diffusion
Agent/Diffusion/ProbGradient
Agent/Diffusion/RateGradient
Agent/DiffusionApp
Agent/DiffusionRouting
Agent/DumbAgent
Agent/Encapsulator
Agent/Flooding
Agent/GAF
Agent/HttpInval
Agent/IMEP
Agent/IVS
Agent/IVS/Receiver
Agent/IVS/Source
Agent/LDP
Agent/LMS
Agent/LMS/Receiver
Agent/LMS/Sender
Agent/LossMonitor
Agent/LossMonitor/PLM
Agent/MDART
Agent/MIPBS
Agent/MIPMH
Agent/Mcast
Agent/Mcast/Control
Agent/Message
Agent/MessagePassing
Agent/MyAgentOtcl
Agent/Null
Agent/OmniMcast
Agent/PBC
Agent/PGM
Agent/PGM/Receiver
Agent/PGM/Sender
Agent/PUMA
Agent/Ping
Agent/Pushback
Agent/QSAgent
Agent/RAP
Agent/RTCP
Agent/RTP
Agent/SA
Agent/SAack
Agent/SCTP
Agent/SCTP/CMT
Agent/SCTP/HbAfterRto
Agent/SCTP/MfrHbAfterRto
Agent/SCTP/MfrTimestamp
Agent/SCTP/MultipleFastRtx
Agent/SCTP/Timestamp
Agent/SRAgent
Agent/SRM
Agent/SRM/Adaptive
Agent/SRM/Deterministic
Agent/SRM/Fixed
Agent/SRM/Probabilistic
Agent/SRM/SSM
Agent/SatRoute
Agent/TCP
Agent/TCP/Asym
Agent/TCP/BayFullTcp
Agent/TCP/BayFullTcp/Newreno
Agent/TCP/BayFullTcp/Sack
Agent/TCP/BayFullTcp/Tahoe
Agent/TCP/FS
Agent/TCP/Fack
Agent/TCP/FullTcp
Agent/TCP/FullTcp/Newreno
Agent/TCP/FullTcp/Newreno/XCP
Agent/TCP/FullTcp/Sack
Agent/TCP/FullTcp/Tahoe
Agent/TCP/Int
Agent/TCP/Linux
Agent/TCP/Newreno
Agent/TCP/Newreno/Asym
Agent/TCP/Newreno/Asym/FS
Agent/TCP/Newreno/FS
Agent/TCP/RFC793edu
Agent/TCP/Reno
Agent/TCP/Reno/Asym
Agent/TCP/Reno/FS
Agent/TCP/Reno/RBP
Agent/TCP/Reno/XCP
Agent/TCP/Sack1
Agent/TCP/SackRH
Agent/TCP/Session
Agent/TCP/SimpleTcp
Agent/TCP/Vegas
Agent/TCP/Vegas/RBP
Agent/TCPSink
Agent/TCPSink/Asym
Agent/TCPSink/DelAck
Agent/TCPSink/Sack1
Agent/TCPSink/Sack1/DelAck
Agent/TCPSink/XCPSink
Agent/TFRC
Agent/TFRCSink
Agent/TORA
Agent/TP
Agent/UDP
Agent/VatRcvr
Agent/rtProto
Agent/rtProto/Algorithmic
Agent/rtProto/DV
Agent/rtProto/Direct
Agent/rtProto/Dummy
Agent/rtProto/LS
Agent/rtProto/Manual
Agent/rtProto/Session
Agent/rtProto/Static

# ...

# czy sa klasy niskopoziomowe? Connector itp??, TAK, 01.2018
# + patrz nowa ksiazka o NS-2 "ns2_Introduction...", str 127
# + moze da sie zbudowac inny typ wezla?? (z tych ob. niskopoz.)
#

j info comm Connect*
  #% Connector
Connector/AddSR
Connector/LinkHead
Connector/LinkHead/Sat
Connector/RoutingHelper

Connector info procs
  #% 
Connector info instprocs
  #% 
Connector info vars
  #% debug_
Connector c1
c1 info vars
  #% 
c1 info procs
  #% 

c1 target $n1
  #% 
c1 target
  #% _o11

# ...

# metody (instprocs) roznych klas... 08.2019
#

j Simulator info procs
  #% address-format
default-addr?
hier-addr?
instance

Simulator instance
  #% _o3
set ns
  #% _o3

j Simulator info instprocs
  #% DelayBox
FECProc
IncomingErrProc
LDP-peer
LMS
MPLS
OutgoingErrProc
PGM
PLMbuild_source_set
PLMcbr_flow_PP
PLMcreate-agent
QS
Tmix_DelayBox
abstract-tcp
add-agent-trace
add-first-links
add-isl
addressType
adhocRouting
after
agentTrace
all-links-list
all-nodes-list
antType
asim-dump
asim-getAggrTput
asim-getFlowDrop
asim-getFlowTput
asim-getLinkDelay
asim-getLinkDrop
asim-getLinkTput
asim-run
at
at-now
attach-agent
attach-diffapp
attach-fmon
attach-tagger
attach-tbf-agent
bandwidth
bw_parse
cancel
channel
channelType
check-node-num
check-smac
chk-hier-field-lengths
clear-mcast
clearMemTrace
color
compute-algo-routes
compute-flat-routes
compute-hier-routes
compute-routes
connect
cost
create-aodv-agent
create-aomdv-agent
create-connection
create-connection-list
create-connection-listen
create-core-diffusion-rtg-agent
create-diffusion-probability-agent
create-diffusion-rate-agent
create-dsdv-agent
create-dumb-agent
create-eventtrace
create-flooding-agent
create-highspeed-connection
create-manual-rtg-agent
create-mdart-agent
create-node-instance
create-omnimcast-agent
create-puma-agent
create-satnode
create-tcp-connection
create-tora-agent
create-trace
create-wireless-node
create_packetformat
delay
delay_parse
delete-agent-trace
detach-agent
detach-lossmodel
diffusionFilter
downlinkBW
drop-trace
dump-approx-sim-data
dump-namaddress
dump-namagents
dump-namcolors
dump-namlans
dump-namlinks
dump-namnodes
dump-namqueues
dump-namversion
dump-namwireless
dump-routelogic-distance
dump-routelogic-nh
dumper
dumpq
duplex-intserv-link
duplex-link
duplex-link-op
energy-color-change
energyModel
eotTrace
eventtrace-all
expand-address
expand-port-field-bits
flush-trace
gen-map
get-AllocAddrBits
get-color
get-link
get-link-head
get-nam-config
get-nam-traceall
get-node-by-addr
get-node-by-id
get-node-id-by-addr
get-nodetype
get-ns-traceall
get-number-of-nodes
get-queue
get-routelogic
halt
hier-node
hier-topo
idlePower
ifqLen
ifqType
imep-support
init
init-nam
initialEnergy
initial_node_pos
insert-delayer
is-started
ldp-mapping-color
ldp-notification-color
ldp-release-color
ldp-request-color
ldp-withdraw-color
link
link-lossmodel
llType
log-simstart
lossmodel
macTrace
macType
make-abslan
make-lan
makeflowmon
maketbtagger
maketswtagger
maybeEnableTraceAll
mobileIP
monitor-agent-trace
monitor-queue
movementTrace
mpls-node
mrtproto
mrtproto-iifs
multicast
multicast?
multihome-add-interface
multihome-attach-agent
multihome-connect
nam-end-wireless
namtrace-all
namtrace-all-wireless
namtrace-config
namtrace-queue
namtrace-some
newLan
newsatnode
node
node-config
now
nullagent
phyTrace
phyType
prepare-to-stop
propInstance
propType
pushback-duplex-link
pushback-simplex-link
put-in-list
puts-nam-config
puts-nam-traceall
puts-ns-traceall
queue-limit
re-rewind-nam
register-nam-linkconfig
remove-nam-linkconfig
rewind-nam
routerTrace
rtAgentFunction
rtmodel
rtmodel-at
rtmodel-configure
rtmodel-delete
rtproto
rtt
run
run-mcast
rxPower
satNodeType
sat_link_destroy
sat_link_up
satnode
satnode-geo
satnode-geo-repeater
satnode-polar
satnode-terminal
set-address
set-address-format
set-animation-rate
set-dsr-nodetype
set-hieraddress
set-nix-routing
simplex-connect
simplex-link
simplex-link-op
sleepPower
sleepTime
snapshot
src_rting
src_rting?
stopTime
terminate-all-agents
terminate-nam
topoInstance
toraDebug
trace-all
trace-all-satlinks
trace-annotate
trace-queue
transitionPower
transitionTime
txPower
use-newtrace
use-scheduler
use-taggedtrace
wiredRouting

j Simulator info instprocs get*
  #% get-AllocAddrBits
get-color
get-link
get-link-head
get-nam-config
get-nam-traceall
get-node-by-addr
get-node-by-id
get-node-id-by-addr
get-nodetype
get-ns-traceall
get-number-of-nodes
get-queue
get-routelogic

$ns get-link 0 1
  #% _o23
  # + wymaga "$ns compute-routes" !
  # + podaje sie dwa adresy wezlow (id ?)
_o23 info class
  #% DelayLink
$ns get-link-head 0 1
  #% _o22
_o22 info class
  #% Connector
$ns get-queue 0 1
  #% _o19
_o19 info class
  #% Queue/DropTail

$n1 id
  #% 0
$n2 id
  #% 1
$n3 id
  #% 2

$ns get-queue 0 1
  #% _o19
$ns get-queue 0 2
  #% _o19
  # + dlaczego jest ta sama odp ???









exit